stages:
  - build
  - test
  - deploy

build site:
  stage: build
  image: node:lts-alpine
  script:
    - npm install
    - npm install -g gatsby-cli
    - gatsby build
  artifacts:
    paths:
      - ./public

test artifact:
  stage: test
  image: alpine
  script:
    - grep -q "Gatsby" ./public/index.html

test site:
  stage: test
  image: node:lts-alpine
  script:
    - npm install
    - npm install -g gatsby-cli
    - gatsby serve &
    - sleep 3
    - apk update
    - apk add curl
    - curl -s http://localhost:9000/ | grep -q "Gatsby"

deploy to surge:
  stage: deploy
  image: node:lts-alpine
  script:
    - npm install -g surge
    - surge ./public pras.surge.sh
